al_ustr_append(3)

NAME

al_ustr_append - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_append(ALLEGRO_USTR *us1, const ALLEGRO_USTR *us2)

DESCRIPTION

Append us2 to the end of us1.

Returns true on success, false on error.

This function can be used to append an arbitrary buffer:

      ALLEGRO_USTR_INFO info;
      al_ustr_append(us, al_ref_buffer(&info, buf, size));

SEE ALSO

al_ustr_append_cstr(3), al_ustr_append_chr(3), al_ustr_appendf(3), al_ustr_vappendf(3)